% Copy all files in Matlab current directory and type "keyrec" on
% Matlab command window: a simple and intuitive GUI will appear.
% 
% Click on "Select keystroke sequence(s)" button to select one or more
% keystroke sequences. Keystroke sequence is simply a txt file with two
% raws: first raw has press events and the second raw has release events.
% Now you have selected one or more keystroke sequences you can:
% - Add selected sequences to database (an ID is required)
% - Perform keystroke recognition (but in this case you must have already
%   inserted some keystroke sequences to database).
% When you add one or more keystroke sequences to database you have to
% specify an ID: ID is a progressive, non negative integer number that is
% associated to class. For a given password each user is identified by a
% unique ID.
% When you click on "Keystroke Recognition" button selected keystroke
% sequences will be compared with keystroke sequences present in database.
% For each unknown sequence the recognized ID will be returned.
%
% The script "createdb" creates keystroke sequences from Allen's raw data,
% as the samples keystroke sequences included in this package. Each keystroke
% sequence is stored in a txt file with press and release events. File name
% has PPPPPP_userXX_YY where "PPPPPP" is the character sequence of password, 
% "XX" is a number associated to user and "YY" is a progressive number
% since each user has typed the same password many times. Just copy
% createdb.m file in the same directory where Allen's txt files are stored
% and launch it.
% 
%
% References:
% Jeffrey D. Allen, Pressure-Sensitive Keystroke Dynamics Dataset
% http://jdadesign.net/2010/04/pressure-sensitive-keystroke-dynamics-dataset/
% 
% FUNCTIONS
%
% Select keystroke sequence:                     read the input keystroke sequence
%
% Add selected keystroke sequence to database:   the input keystroke sequence is added to database and will be used for training
%
% Database Info:                                 show informations about the images present in database.
%
% Keystroke Recognition:                         keystroke recognition. The selected keystroke sequence is loaded and compared with 
%                                                sequences present in database 
%
% Delete Database:                               remove database from the current directory
%
% Info:                                          show informations about this software
%
%
% Source code for Keystroke Recognition System:  how to obtain the complete source code
%
% Exit:                                          quit program
%
%
%
